echo java location is full-path of java file in directory
echo if exist java in '/usr/lib/jvm/java-1.6.0-openjdk-i386/jre/bin'
echo java location is '/usr/lib/jvm/java-1.6.0-openjdk-i386/jre'
read -p "Please Enter your java location : " javaloc

while true; do
	read -p "your java location is  '${javaloc}' (Y/n)" ret

	if [ "$ret" == "n" ] || [ "$ret" == "N" ]
	then
		exit
	elif [ "$ret" == "y" ] || [ "$ret" == "Y" ]
	then
		break
	else
		continue
	fi
done

echo copy communication files to java directory

serialtype=internal

while IFS='=' read -r col1 col2
do 
    if [ "$col1" == "serial" ]
    then
    	if [ "$col2" == "internal" ]
    	then
    		serialtype="$col2"    		
    	fi
    fi
done <comms.properties


if [ "$serialtype" == "internal" ]
then
# for 32bits Java
cp lib/libBXL32Com.so $javaloc/lib/i386/libBXL32Com.so
# for 64bits Java
cp lib/libBXL64Com.so $javaloc/lib/amd64/libBXL64Com.so
elif [ "$serialtype" == "ibm" ]
then
###############################################################################
# for serial communication files using javax.comm modify by ibm
cp lib/ibm.comm.jar $javaloc/lib/ext/comm.jar
cp lib/ibm.javax.comm.properties $javaloc/lib/javax.comm.properties
# supported ony 32bits Java
cp lib/libibmcomm.so $javaloc/lib/i386/libibmcomm.so
else
# for serial communication files using javax.comm
cp lib/comm.jar $javaloc/lib/ext/comm.jar
cp lib/javax.comm.properties $javaloc/lib/javax.comm.properties
# supported ony 32bits Java
cp lib/libLinuxSerialParallel.so $javaloc/lib/i386/libLinuxSerialParallel.so
###############################################################################
fi


###############################################################################
# for usb communication files
cp lib/javax.usb.api.jar $javaloc/lib/ext/javax.usb.api.jar
cp lib/javax.usb.properties $javaloc/lib/javax.usb.properties
# for 32bits Java
cp lib/libJavaxUsb.so $javaloc/lib/i386/libJavaxUsb.so
# for 64bits Java
cp lib/libJavaxUsb_x64.so $javaloc/lib/amd64/libJavaxUsb.so
###############################################################################

echo complete to copy communication files!!

echo create a script files for jcl and test program.
##for jcl
if [ -e "bixolon-jclutility.sh" ]
then
echo > bixolon-jclutility.sh
fi
echo "export JAVA_HOME=$javaloc" >> bixolon-jclutility.sh
echo 'export PATH=$PATH:$JAVA_HOME/bin' >> bixolon-jclutility.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/xerces.jar' >> bixolon-jclutility.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/commons-lang-2.6.jar' >> bixolon-jclutility.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/bixolon-control-1.14.0.jar' >> bixolon-jclutility.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/bixolon-common-1.11.0.jar' >> bixolon-jclutility.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/bixolon-portmng-1.9.3.7.jar' >> bixolon-jclutility.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/bixolon-portlin-1.7.jar' >> bixolon-jclutility.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/bixolon-service-2.7.2.jar' >> bixolon-jclutility.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/icu4j-56_1.jar' >> bixolon-jclutility.sh
echo 'export CLASS_PATH=$CLASS_PATH:jcl/bixolon-jclutility.jar' >> bixolon-jclutility.sh
echo $javaloc/bin/java -cp '$CLASS_PATH' com.bixolon.jpos.jclutility.editor.ConfigurationUtilityMain >> bixolon-jclutility.sh


##for check health
if [ -e "checkhealth.sh" ]
then
echo > checkhealth.sh
fi
echo "export JAVA_HOME=$javaloc" >> checkhealth.sh
echo 'export PATH=$PATH:$JAVA_HOME/bin' >> checkhealth.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/xerces.jar' >> checkhealth.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/commons-lang-2.6.jar' >> checkhealth.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/bixolon-control-1.13.0.jar' >> checkhealth.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/bixolon-common-1.11.0.jar' >> checkhealth.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/bixolon-portmng-1.9.3.7.jar' >> checkhealth.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/bixolon-portlin-1.7.jar' >> checkhealth.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/bixolon-service-2.7.2.jar' >> checkhealth.sh
echo 'export CLASS_PATH=$CLASS_PATH:lib/icu4j-56_1.jar' >> checkhealth.sh
echo 'export CLASS_PATH=$CLASS_PATH:test/bixolon-checkhealth-1.1.jar' >> checkhealth.sh

echo $javaloc/bin/java -cp '$CLASS_PATH' com.bixolon.jpos.checkhealth.CheckHealth '$1' '$2' >> checkhealth.sh

